Différences

Ci-dessous, les différences entre deux révisions de la page.

Lien vers cette vue comparative

Les deux révisions précédentes Révision précédente
Prochaine révision
Révision précédente
tutoriel:utiliser_carte_identite_electronique_belge [Le 30/05/2019, 22:01]
213.219.167.103 [Utilisation dans diverses application]
tutoriel:utiliser_carte_identite_electronique_belge [Le 15/07/2020, 22:25] (Version actuelle)
a_pirard [Ajout du dépôt]
Ligne 2: Ligne 2:
 ---- ----
  
- +{{  https://​img2.freepng.fr/​20180624/​wuy/​kisspng-smart-card-electronic-identification-computer-icon-5b2f69c1e2d9b5.4842458815298339219292.jpg?​200}} 
-====== ​Utiliser ​une carte d'​identité électronique belge======+====== ​L'​identification électronique : utiliser ​une carte d'​identité électronique belge ======
  
 La carte d'​identité belge et son logiciel offrent une méthode sûre d'​authentification des citoyens belges. ​ Elle consiste en l'​utilisation d'une clef privée et d'une clef publique signée ([[:​gnupg|voir authentification par clef publique et clef privée]]) par l'​autorité de certification propre à l'​État belge. ​ La carte d'​identité belge et son logiciel offrent une méthode sûre d'​authentification des citoyens belges. ​ Elle consiste en l'​utilisation d'une clef privée et d'une clef publique signée ([[:​gnupg|voir authentification par clef publique et clef privée]]) par l'​autorité de certification propre à l'​État belge. ​
Ligne 31: Ligne 31:
 ====Ajout du dépôt==== ====Ajout du dépôt====
 Pour installez les pilotes nécessaires au bon fonctionnement de votre carte il faut installer un paquet qui va ajouter les [[:​depots|dépôts]] requis : Pour installez les pilotes nécessaires au bon fonctionnement de votre carte il faut installer un paquet qui va ajouter les [[:​depots|dépôts]] requis :
-  * Téléchargez le paquet **eid-archive.deb** fourni par l'​État belge ([[https://​eid.belgium.be/​fr|via ici]]) à cette [[ https://​eid.belgium.be/​fr/​installation-du-logiciel-eid-sous-linux|adresse]]. +  * Téléchargez le paquet **eid-archive.deb** fourni par l'​État belge  [[ https://​eid.belgium.be/​fr/​installation-du-logiciel-eid-sous-linux|Installation du logiciel eID sous Linux]]. 
-  * Clic droit sur l'archive téléchargée et choisir " ouvrir avec installation de l'application"​+  * Lancer la commande depuis un terminal a l'endroit ou se trouve ​l'archive: ''​java -jar eid-web-browser-mw-install-1.2.0.jar''​FIXME on ne trouve pas cette archive en 2020.<​br>​ 
-  * Puis [[:​tutoriel:​comment_modifier_sources_maj#​recharger_la_liste_des_paquets|rechargez la liste des paquets]]. +Il faut évidemment cliquer eid-archive.deb,​ il n'y a pas de java --- //​[[:​utilisateurs:​a_pirard|a_pirard]] Le 15/07/2020, 22:16// 
 +  * Puis [[:​tutoriel:​comment_modifier_sources_maj#​recharger_la_liste_des_paquets|rechargez la liste des paquets]] ​, ou méthode conseillée,​ ouvrez une fenêtre terminal et introduisez la commande suivante : 
 +<​code>​sudo apt-get update</​code>​
 ====Installation des pilotes==== ====Installation des pilotes====
-Il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer d’abord le paquet]], **[[apt>​eid-mw]]**,​ puis **[[apt>​eid-viewer]]**+Il suffit d'​[[:​tutoriel:​comment_installer_un_paquet|installer d’abord le paquet]], **[[apt>​eid-mw]]**,​ puis **[[apt>​eid-viewer]]**,  
 +ou méthode conseillée : Ouvrez une fenêtre terminal et introduisez la commande suivante :  
 +<​code>​sudo apt-get install eid-mw eid-viewer</​code>​
  
 ===== Intégration dans les navigateurs web ===== ===== Intégration dans les navigateurs web =====
Ligne 167: Ligne 170:
 </​code>​ </​code>​
  
 +==== 5.2 Problème résolu avec Firefox pour ubuntu 18.04 (par Baudouin de BOSA) ====
 +
 +//31 Mars 2020//
 +Le paquet à utiliser a changé. La librairie libacr38u pour les puces ACR38U est remplacée par la librairie libacsccid1,​ qui n'est pas automatiquement installée. Après avoir installé la dernière version et afin de s'​assurer que les mises à jour sont bien prises en compte, exécuter les commandes suivantes:
 +<​code>​
 +sudo apt-get update
 +</​code>​
 +
 +Si cela n'a pas résolu le problème, on peut effectuer les commandes suivantes :
 +<​code>​
 +sudo dpkg-reconfigure eid-archive
 +sudo apt-get update
 +sudo apt-get dist-upgrade
 +</​code>​
 +
 +Si cela n'est pas suffisant, il faut alors supprimer tout le software de l'eiD comme cela est expliqué dans la page : https://​eid.belgium.be/​fr/​faq/​comment-supprimer-le-logiciel-eid-0#​7553 et donc aussi le pack "​eid-archive":​
 +<​code>​
 +sudo apt-get --purge remove libbeidpkcs11-bin
 +sudo apt-get --purge remove eid-archive
 +</​code>​
 +
 +Ensuite il faut re-télécharcher et installer eid-archive du site officiel belge: ​
 +https://​eid.belgium.be/​fr/​installation-du-logiciel-eid-sous-linux
 +ensuite, à nouveau:
 +<​code>​
 +sudo apt-get update
 +sudo apt-get install eid-mw eid-viewer ​
 +</​code>​
 +
 +Si cela ne marche toujours pas, contacter BOSA, ils répondent rapidement.
 =====Voir aussi===== =====Voir aussi=====
   * [[http://​www.bxlug.be/?​Installer-Eid-lecteur-de-carte-d|Page Complémentaire à ce tutoriel]],   * [[http://​www.bxlug.be/?​Installer-Eid-lecteur-de-carte-d|Page Complémentaire à ce tutoriel]],
Ligne 172: Ligne 205:
   * [[http://​xubuntu.fr/​forum/​viewtopic.php?​f=2&​t=2674|une procédure simple et efficace sur xubuntu.fr]]   * [[http://​xubuntu.fr/​forum/​viewtopic.php?​f=2&​t=2674|une procédure simple et efficace sur xubuntu.fr]]
   * [[http://​wiki.yobi.be/​wiki/​Belgian_eID|le wiki Yobi]].   * [[http://​wiki.yobi.be/​wiki/​Belgian_eID|le wiki Yobi]].
 + 
 +FIXME  Tester la page https://​mart-e.be/​post/​2012/​02/​14/​beid-linux-1/​ , la deuxième partie propose une méthode pour signer les PDF avec EID.
  
 ---- ----
  • tutoriel/utiliser_carte_identite_electronique_belge.1559246466.txt.gz
  • Dernière modification: Le 30/05/2019, 22:01
  • par 213.219.167.103